Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.http.ssl
Class HTTPSClientInvoker

    java.lang.Object
      org.jboss.remoting.AbstractInvoker
          org.jboss.remoting.MicroRemoteClientInvoker
              org.jboss.remoting.RemoteClientInvoker
                  org.jboss.remoting.transport.http.HTTPClientInvoker
                      org.jboss.remoting.transport.http.ssl.HTTPSClientInvoker

All Implemented Interfaces:
  Invoker, ClientInvoker

    public class HTTPSClientInvoker

extends HTTPClientInvoker

Author:
  Tom Elrod

Nested Class Summary
`protected class` | `HTTPSClientInvoker.AnyhostVerifier`

Nested classes/interfaces inherited from class org.jboss.remoting.AbstractInvoker
`AbstractInvoker.CallbackLocatorHolder`

Field Summary
`static java.lang.String` | `HOSTNAME_VERIFIER`
`static java.lang.String` | `IGNORE_HTTPS_HOST` A property to override the default https url host verification

Fields inherited from class org.jboss.remoting.transport.http.HTTPClientInvoker
`log, MAX_NUM_TIMEOUT_THREADS, MAX_NUM_TIMEOUT_THREADS_DEFAULT, MAX_TIMEOUT_QUEUE_SIZE`

Fields inherited from class org.jboss.remoting.MicroRemoteClientInvoker
`connected`

Fields inherited from class org.jboss.remoting.AbstractInvoker
`classbyteloader, configuration, localServerLocators, locator, serializationType, socketFactory, socketFactoryCreatedFromSSLParameters`

Constructor Summary
`HTTPSClientInvoker(InvokerLocator locator)`
`HTTPSClientInvoker(InvokerLocator locator, java.util.Map configuration)`

Method Summary
`protected javax.net.SocketFactory` | `createSocketFactory(java.util.Map configuration)` If any configuration parameters relate to the construction of a SSLSocketBuilder, create one.
`protected java.net.HttpURLConnection` | `createURLConnection(java.lang.String url, java.util.Map metadata)` Checks to see if org.jboss.security.ignoreHttpHost property is set to true, and if it is, will ste the host name verifier so that will accept any host.
`protected void` | `setHostnameVerifier(javax.net.ssl.HttpsURLConnection conn, java.util.Map metadata)`
`protected java.lang.String` | `validateURL(java.lang.String url)`

Methods inherited from class org.jboss.remoting.transport.http.HTTPClientInvoker
`getDefaultDataType, getTimeoutThreadPool, handleConnect, handleDisconnect, setTimeoutThreadPool, transport`

Methods inherited from class org.jboss.remoting.MicroRemoteClientInvoker
`connect, disconnect, establishLease, finalize, getLeasePeriod, getMarshaller, getSessionId, getUnMarshaller, invoke, isConnected, postProcess, preProcess, setMarshaller, setUnMarshaller, terminateLease`

Methods inherited from class org.jboss.remoting.AbstractInvoker
`addClientLocator, getClassLoader, getClientLocator, getClientLocators, getLocator, getSerializationType, getSocketFactory, isCompleteSocketFactory, isSocketFactoryCreatedFromSSLParameters, needsCustomSSLConfiguration, setClassLoader, setSerializationType, setSocketFactory, wrapSocketFactory`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.remoting.transport.ClientInvoker
`addClientLocator, getClientLocator, getClientLocators, getSocketFactory, setSocketFactory`

Methods inherited from interface org.jboss.remoting.Invoker
`getLocator`

Field Detail

### IGNORE_HTTPS_HOST

    public static final java.lang.String IGNORE_HTTPS_HOST

  A property to override the default https url host verification

  See Also:
    Constant Field Values

### HOSTNAME_VERIFIER

    public static final java.lang.String HOSTNAME_VERIFIER

See Also:
  Constant Field Values

Constructor Detail

### HTTPSClientInvoker

    public HTTPSClientInvoker(InvokerLocator locator)

### HTTPSClientInvoker

    public HTTPSClientInvoker(InvokerLocator locator,
                              java.util.Map configuration)

Method Detail

### validateURL

    protected java.lang.String validateURL(java.lang.String url)

  Overrides:
    `validateURL` in class `HTTPClientInvoker`

### createURLConnection

    protected java.net.HttpURLConnection createURLConnection(java.lang.String url,
                                                             java.util.Map metadata)
                                                      throws java.io.IOException

  Checks to see if org.jboss.security.ignoreHttpHost property is set to true, and if it is, will ste the host name verifier so that will accept any host.

  Overrides:
    `createURLConnection` in class `HTTPClientInvoker`
  Returns:
  Throws:
    `java.io.IOException`

### createSocketFactory

    protected javax.net.SocketFactory createSocketFactory(java.util.Map configuration)

  Description copied from class: `AbstractInvoker`
  If any configuration parameters relate to the construction of a SSLSocketBuilder, create one.

  Overrides:
    `createSocketFactory` in class `AbstractInvoker`

### setHostnameVerifier

    protected void setHostnameVerifier(javax.net.ssl.HttpsURLConnection conn,
                                       java.util.Map metadata)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.